﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Dim SQL_DB As SQL
	Dim Panel_Grund, Panel_Fussleiste, Panel_Datentenuebersicht As Panel
	Dim Bild As Bitmap

	Private Storage As ExternalStorage

	Public MP As B4XMainPage
	
	Dim Panel_Grund, Panel_Fussleiste, Panel_Datentenuebersicht, Panel_Auswahl As Panel
	Dim Canvas1 As B4XCanvas
	Dim Letzter_Tankvorgang, Letzter_Tankvorgang_Datum, Letzter_Tankvorgang_Zeit As Label
	Dim ScrollView_Datenuebersicht, ScrollView_Adressen As ScrollView
	Private ion As Object

	Public RP As RuntimePermissions
	Dim KFZ_Nr_aktuell As Int
	Dim Panel_KFZ_Nr_Auswahl As Panel
	Dim ListView_Auswahl_KFZ_Nr As ListView

	Dim Panel_Jahre_Auswahl As Panel
	Dim ListView_Auswahl_Jahre As ListView
	Dim Jahr_aktuell As Long
	
	Public Panel_Sperre, Panel_Sperre1 As Panel

	Public Button_Alle_Daten, Button_Alle_Jahre, Button_Aktuelles_Jahr, Button_Monate, Button_Datum_von_bis, Button_Wochentage As Button
	Dim Panel_Auswahl_Grafik As Panel
	


End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	

	'load the layout to Root
	Root.LoadLayout("Uebersicht")
	B4XPages.SetTitle(Me, "Uebersicht")
	MP = B4XPages.MainPage

	Dim mi As B4AMenuItem = B4XPages.AddMenuItem(Me, "Main 2")
	mi.AddToBar = True
	mi.Bitmap = xui.LoadBitmapResize(File.DirAssets, "3_senkrechte_punkte.png", 50dip, 50dip, True)

	'inialize the two pages
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub B4XPage_Appear

	If Main.Start_Bild_gezeigt = False Then
		Wait for(Start_Bild) Complete (result As Int)
	End If
	
	Main.Aktuelles_Jahr = False
	Main.Datum_von_bis_aktiv = False
	
	Panel_Auswahl.Initialize("Panel_Auswahl")
	Panel_Auswahl.Enabled = False
	Panel_Auswahl_Grafik.Initialize("Panel_Auswahl_Grafik")
	Panel_Auswahl_Grafik.Enabled = False
	Panel_Jahre_Auswahl.Initialize("Panel_Jahre_Auswahl")
	Panel_Jahre_Auswahl.Enabled = False
	Panel_KFZ_Nr_Auswahl.Initialize("Panel_KFZ_Nr_Auswahl")
	Panel_KFZ_Nr_Auswahl.Enabled = False
'	Fahrzeuge.Panel_KFZ_Nr_Auswahl_Fahrzeuge.Initialize("Panel_KFZ_Nr_Auswahl_Fahrzeuge")
'	Fahrzeuge.Panel_KFZ_Nr_Auswahl_Fahrzeuge.Enabled = False

	Panel_Sperre.Initialize("Panel_Sperre")

	
	Aufbau_Uebersicht
End Sub

Sub Start_Bild() As ResumableSub
	'Startfoto einlesen
	Bild.Initialize(File.DirAssets,"tankstelle-19759.jpg")
	Panel_Grund.SetBackgroundImage(Bild)
	Panel_Grund.Width = 100%X
	Panel_Grund.Height = 100%y
	
	Sleep(3000)
	
	Panel_Grund.RemoveAllViews

	Main.Start_Bild_gezeigt = True
	Return 1
End Sub

Sub Aufbau_Uebersicht


	Hauptseite_laden
	

End Sub

Sub Hauptseite_laden

	Panel_Grund.SetLayout(0%x, 0%y, 100%x,100%y)
	Panel_Grund.Color = Colors.RGB(255,228,225)
	
	
	
	
	'Panel_Datentenuebersicht **************************************************************************************
	Dim c As ColorDrawable
	c.Initialize2(Colors.RGB(255,228,225),0dip,0dip,Colors.Transparent)
	
'	Dim ScrollView_Datenuebersicht As ScrollView
	ScrollView_Datenuebersicht.Initialize(Round(498dip*Main.f_y))
	ScrollView_Datenuebersicht.Color = Colors.RGB(255,228,225)	'c
'	ScrollView_Datenuebersicht.Color = Colors.Red'RGB(255,228,225)
	Panel_Grund.AddView(ScrollView_Datenuebersicht, 0%x, 0%y, 100%x, 75%y - 1dip)
	

	Canvas1.Initialize(ScrollView_Datenuebersicht)
	Dim Rect1 As B4XRect
	Rect1.Initialize(0%x + 2dip, 0%y + 2dip, 100%x - 2dip, 75%y)
	Canvas1.DrawRect(Rect1, Colors.Gray, False, 2dip)
	
	Canvas1.Initialize(Panel_Grund)
	Canvas1.DrawLine(0%x + 2dip, 75%y, 100%x - 4dip, 75%y,Colors.Black, 2dip)	'oben

	Canvas1.Invalidate
	
	'Alle Anzeigefelder
	Letzter_Tankvorgang.Initialize("Letzter_Tankvorgang") '-------------------------------
			
	Dim c As ColorDrawable
	c.Initialize2(Colors.RGB(255,228,225),0dip,0dip,Colors.Transparent)
	Letzter_Tankvorgang.Background = c

	Letzter_Tankvorgang.Text = "Letzter Tankvorgang:"
'	Verschiedene_Kategorien.Tag = i
	Letzter_Tankvorgang.TextColor = Colors.Black
	Letzter_Tankvorgang.TextSize = Round(13 * Main.f_x)
	Letzter_Tankvorgang.Typeface = Typeface.DEFAULT_BOLD
	Letzter_Tankvorgang.Gravity = Gravity.RIGHT
'	Letzter_Tankvorgang.Color = Colors.Blue
	ScrollView_Datenuebersicht.Panel.AddView(Letzter_Tankvorgang, 1%x, Round(18dip*Main.f_y), 44%x, Round(22dip*Main.f_x))

	Letzter_Tankvorgang_Datum.Initialize("Letzter_Tankvorgang_Datum") '---------------------------------------
			
	Dim d As ColorDrawable
	d.Initialize2(Colors.RGB(238,223,204),5dip,0dip,Colors.Transparent)
	Letzter_Tankvorgang_Datum.Background = d

	Letzter_Tankvorgang_Datum.Text = ""
'	Verschiedene_Kategorien.Tag = i
	Letzter_Tankvorgang_Datum.TextColor = Colors.Blue
	Letzter_Tankvorgang_Datum.TextSize = Round(13 * Main.f_x)
	Letzter_Tankvorgang_Datum.Typeface = Typeface.DEFAULT
	Letzter_Tankvorgang_Datum.Gravity = Gravity.LEFT
'	Letzter_Tankvorgang_Datum.Color = Colors.Transparent
	ScrollView_Datenuebersicht.Panel.AddView(Letzter_Tankvorgang_Datum, 46%x, Round(18dip*Main.f_y), 24%x, Round(22dip*Main.f_x))

	Letzter_Tankvorgang_Zeit.Initialize("Letzter_Tankvorgang_Zeit") '---------------------------------------
			
	
	
	
	
End Sub















